<? $antihack="<font color='red'><b>Antihack error: </b></font>";
   if ($player[rights]!="admin"){die($antihack);}
   $page.="<p class='d'><b>Сверхвозможности Демиурга</b><a href='./?do=admin&amp;mod=about'>[inf]</a></p>";

   if ($_GET['mod']=='about'){$page.="<br/>Это меню сверхвозможностей Демиурга. Стоп! Вы не знаете что это за меню??? А Демиург ли ты?!! Или просто хакер???<br/><br/>";}
   elseif ($_GET['mod']=='code'){
    if (isset($_POST['program'])){$program=$_POST['program'];eval($program);$page .= "<br/>Код выполнен.<br/>";};
    $page .= "<form action='?do=admin&amp;mod=code' method='post'>
             <br/> Напишите код
             <br/><textarea name='program' rows='7' cols='50' >$program</textarea>

      		 <br/><input type='submit' value='Выполнить' /><br />
  			 </form>";
   }
   elseif ($_GET['mod']=='addnews')  {
     if (isset($_POST['news'])){
     	$sql=mysql_query("INSERT INTO news(date,news,zag,who) VALUES('".time()."','$_POST[news]','$_POST[zag]','Администратор')");
     	$page .= "<br/>Новость добавлена.<br/>";
     	};
    $page .= "<form action='?do=admin&amp;mod=addnews' method='post'>
             <br/> Заголовок
             <br/><input name='zag' rows='1' cols='40' >$program</text>
             <br/>Новость
             <br/><input name='news' rows='1' cols='40' >$program</text>

      		 <br/><input type='submit' value='Добавть' /><br />
  			 </form>";
   }
   elseif ($_GET['mod']=='players')  {  include"$filesfolder/$filesadmin/players.php";   }
   elseif ($_GET['mod']=='locations')  {  include"$filesfolder/$filesadmin/locations.php";   }
   elseif ($_GET['mod']=='monst')  {  include"$filesfolder/$filesadmin/monsters.php";   }
   elseif ($_GET['mod']=='items')  {  include"$filesfolder/$filesadmin/items.php";   }
   elseif ($_GET['mod']=='eff')  {  include"$filesfolder/$filesadmin/effects.php";   }
   elseif ($_GET['mod']=='dialog')  {  include"$filesfolder/$filesadmin/dialogs.php";   }
   elseif ($_GET['mod']=='craft')  {  include"$filesfolder/$filesadmin/recepts.php";   }
   elseif ($_GET['mod']=='quest')  {  include"$filesfolder/$filesadmin/quests.php";   }
   else {
   $page.="<br/><a href='./?do=admin&amp;mod=code'>Выполнить код</a><br/>
        <a href='./?do=admin&amp;mod=players'>Игроки</a><br/>
        <a href='./?do=admin&amp;mod=locations'>Локации</a><br/>
        <a href='./?do=admin&amp;mod=monst'>Монстры</a><br/>
        <a href='./?do=admin&amp;mod=items'>Вещи</a><br/>
        <a href='./?do=admin&amp;mod=eff'>Эффекты</a><br/>
        <a href='./?do=admin&amp;mod=dialog'>Диалоги</a><br/>
        <a href='./?do=admin&amp;mod=craft'>Рецепты</a><br/>
        <a href='./?do=admin&amp;mod=quest'>Квесты</a><br/>
        <a href='./?do=admin&amp;mod=addnews'>Добавить новость</a><br/>";
   }
   $page.="<br/><a href='./?do=admin'>Способности Демиурга</a><br/><br/><a href='./'>В игру</a><br/><br/>";
   $title='Мошь Демиурга';
?>